org.apache.felix.ipojo.bnd

## Class BndJarResourceStore

- java.lang.Object
- - org.apache.felix.ipojo.bnd.BndJarResourceStore

All Implemented Interfaces:
  org.apache.felix.ipojo.manipulator.ResourceStore

    public class BndJarResourceStore
    extends Object
    implements org.apache.felix.ipojo.manipulator.ResourceStore

### Constructor Summary

Constructors
Constructor and Description
`BndJarResourceStore(aQute.bnd.osgi.Analyzer analyzer, aQute.service.reporter.Reporter reporter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `accept(org.apache.felix.ipojo.manipulator.ResourceVisitor visitor)`
`void` `close()`
`void` `open()`
`byte[]` `read(String path)`
`void` `setIncludeEmbedComponents(boolean excludeEmbedComponents)`
`void` `write(String resourcePath, byte[] resource)`
`void` `writeMetadata(org.apache.felix.ipojo.metadata.Element metadata)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BndJarResourceStore

    public BndJarResourceStore(aQute.bnd.osgi.Analyzer analyzer,
                               aQute.service.reporter.Reporter reporter)

### Method Detail

#### read

    public byte[] read(String path)
                throws IOException

Specified by:
  `read` in interface `org.apache.felix.ipojo.manipulator.ResourceStore`
Throws:
  `IOException`

#### accept

    public void accept(org.apache.felix.ipojo.manipulator.ResourceVisitor visitor)

Specified by:
  `accept` in interface `org.apache.felix.ipojo.manipulator.ResourceStore`

#### open

    public void open()
              throws IOException

Specified by:
  `open` in interface `org.apache.felix.ipojo.manipulator.ResourceStore`
Throws:
  `IOException`

#### writeMetadata

    public void writeMetadata(org.apache.felix.ipojo.metadata.Element metadata)

Specified by:
  `writeMetadata` in interface `org.apache.felix.ipojo.manipulator.ResourceStore`

#### write

    public void write(String resourcePath,
                      byte[] resource)
               throws IOException

Specified by:
  `write` in interface `org.apache.felix.ipojo.manipulator.ResourceStore`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `org.apache.felix.ipojo.manipulator.ResourceStore`
Throws:
  `IOException`

#### setIncludeEmbedComponents

    public void setIncludeEmbedComponents(boolean excludeEmbedComponents)